<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">

    <s:div id="validationResultPanel" rendered="#{xvalResultGui.getSelectedObject() != null}">
        #{xvalResultGui.init(xvalGui.buildAndGetValidationResultDto(), xvalGui.referencedStandard.id)}

        <!-- general information -->

        <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">
            <ui:define name="panel_title">
                <ui:include src="/common/informationHeader.xhtml">
                    <ui:param name="resultGui" value="#{xvalResultGui}"/>
                    <ui:param name="idToRender" value="generalInfoPanel"/>
                </ui:include>
            </ui:define>
            <ui:param name="panel_id" value="generalInfoPanel"/>

            <dl class="dl-horizontal">
                
                <dt class="#{dt_styleClass}">
                    #{messages['gazelle.evs.client.cda.oid']} :
                </dt>
                <dd class="#{dd_styleClass}">
                    <h:outputText value="#{xvalResultGui.selectedObject.oid}"/>
                </dd>

                <dt class="#{dt_styleClass}">
                    #{messages['gazelle.evs.client.validation.date']} :
                </dt>
                <dd class="#{dd_styleClass}">
                    <g:date date="true" time="true"
                            value="#{xvalResultGui.selectedObject.date}" tooltip="false"/>
                </dd>

                <dt class="#{dt_styleClass}">
                    <h:outputText value="#{xvalResultGui.getValidationServiceName()} :"/>
                </dt>
                <dd class="#{dd_styleClass}">
                    <h:outputText value="#{xvalResultGui.getValidatorName()}"/>
                    <h:outputText
                            value=" (#{messages['net.ihe.gazelle.xval.Version']} #{xvalResultGui.getValidatorVersion()})"
                            rendered="#{xvalResultGui.getValidatorVersion() != null}"/>
                    <h:outputText
                            value=" (#{messages['net.ihe.gazelle.xval.Version']} #{messages['net.ihe.gazelle.evs.NA']})"
                            rendered="#{xvalResultGui.getValidatorVersion() == null}"/>
                </dd>

                <dt class="#{dt_styleClass}">
                    <h:outputText value="#{messages['net.ihe.gazelle.evsclient.ValidationResults']} :"/>
                </dt>
                <dd class="#{dd_styleClass}">
                    <h:outputText styleClass="#{xvalResultGui.getValidationStatus() == 'VALIDATION NOT PERFORMED'? 'gzl-label gzl-label-grey' : xvalResultGui.getValidationStatus()}"
                                  value="#{xvalResultGui.getValidationStatus()}"/>
                    <h:commandLink action="#{xvalResultGui.downloadResultAsXml()}"
                                   rendered="#{xvalResultGui.getValidatorName() != null}" execute="@form">
                        <s:span title="#{messages['net.ihe.gazelle.EVSClient-ui.DownloadValidationResultsXML']})"
                                styleClass="gzl-icon-download text-info"/>
                    </h:commandLink>
                </dd>

                <dt class="#{dt_styleClass}">
                    #{messages['gazelle.evs.client.Permanent.Link']} :
                </dt>
                <dd class="#{dd_styleClass}">
                    <h:outputLink value="#{xvalResultGui.getPermanentLink(xvalResultGui.selectedObject)}"
                                  target="_blank">
                        <h:outputText value="#{xvalResultGui.getPermanentLink(xvalResultGui.selectedObject)}"/>
                    </h:outputLink>
                </dd>
                <dt class="#{dt_styleClass}">
                    #{messages['net.ihe.gazelle.evsclient.DataVisibility']}
                </dt>
                <dd class="#{dd_styleClass}" id="nameInput">
                    <h:outputText rendered="#{!xvalResultGui.selectedObject.sharing.isPrivate}"
                                  value="#{messages['net.ihe.gazelle.evsclient.Public']}"/>
                    <h:outputText
                            rendered="#{xvalResultGui.selectedObject.sharing.isPrivate
                                        and xvalResultGui.selectedObject.sharing.privacyKey == null}"
                            value="#{messages['net.ihe.gazelle.evsclient.Private']}"/>
                    <h:outputText rendered="#{xvalResultGui.selectedObject.privacyKey != null}"
                                  value="#{messages['net.ihe.gazelle.EVSClient-ui.Shared']}"/>
                    <h:outputText
                            rendered="#{identity.loggedIn and not empty xvalResultGui.selectedObject.owner.username}"
                            value=" - #{messages['net.ihe.gazelle.evsclient.OwnedBy']} #{xvalResultGui.getUserName(xvalResultGui.selectedObject.owner.username)} / #{xvalResultGui.selectedObject.owner.organization}"/>
                </dd>
            </dl>

            <ui:define name="panel_footer">
                <ui:include src="/common/informationFooter.xhtml">
                    <ui:param name="resultGui" value="#{xvalResultGui}"/>
                    <ui:param name="idToRender" value="generalInfoPanel"/>
                </ui:include>

            </ui:define>
        </ui:decorate>
        <ui:decorate template="/layout/panels/_panel_title.xhtml">
        <ui:define name="panel_title"><h:outputText value="#{messages['net.ihe.gazelle.xval.ValidatedFiles']}"/></ui:define>

        <s:div id="files">
            <ui:decorate template="/xval/filesTable.xhtml">
                <ui:param name="gui" value="#{xvalResultGui.getInputsGui()}"/>
            </ui:decorate>
        </s:div>
        </ui:decorate>
        <ui:decorate template="/layout/panels/_panel_title.xhtml">

            <ui:param name="panel_id" value="validationResultsPanel"/>

            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.evsclient.ValidationResults']}"/>
            </ui:define>

            <h:outputText value="#{xvalResultGui.getHtmlResult()}" escape="false"/>

        </ui:decorate>

    </s:div>
    <s:div id="badid" rendered="#{xvalResultGui.selectedObject == null}">
        <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
            <ui:param name="panel_id" value="badidPanel"/>
            <ui:define name="panel_title">
                <h:outputText value="#{messages['gazelle.evs.client.cda.unknown.id']}"/>
            </ui:define>
            #{messages['net.ihe.gazelle.EVSClient-ui.CouldNotFindAnObjectInTheDatabaseCorrespondingTo']}
        </ui:decorate>
    </s:div>

    <ui:include src="/common/sendToProxyPanel4XmlBasedFiles.xhtml">
        <ui:param name="managedBean" value="#{xvalResultGui}"/>
    </ui:include>
</ui:composition>